System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Discovery.DiscoveryReference System.Xml.Serialization.XmlRoot("schemaRef", Namespace="http://schemas.xmlsoap.org/disco/schema/", IsNullable=true)

XML Web services discovery involves discovering the available XML Web services given, a URL. A The URL typically points to a discovery document, which usually has a.disco file name extension. The discovery document contains references to information about the existance of XML Web services. These references can refer to service descriptions, XSD schemas, or other discovery documents. This class represents a reference to an XSD schema.

Within a discovery document, a reference to an XSD schema is contained within a schemaRef XML element. The schemaRef XML element has an XML namespace and a ref attribute. The value of the XML namespace must match the constant. The value of the ref attribute is placed in the property.

Represents a reference in a discovery document to an XML Schema Definition (XSD) language schema. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor
  a
  To be added

  Initializes a new instance of the class using the supplied URL as the XSD schema reference.

  1.0.5000.0
  2.0.0.0
- Property
  System.String a To be added

  Gets the name of the default file to use when saving the referenced XSD schema.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Field
  System.String

  Within a discovery document, a reference to an XSD schema is contained within a schemaRef XML element, which is a part of the XML namespace specified in the constant.

  XML namespace for XSD schema references in discovery documents.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Reads and returns the XSD schema from the passed .

  An containing the contents of the referenced XSD schema.

  containing the XSD schema. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  In a discovery document, a reference to an XSD schema is contained within a schemaRef XML element. The schemaRef XML element has a ref attribute, which is the URL for the referenced XSD schema. The property represents the value of the ref attribute.

  Gets or sets the URL to the referenced XSD schema.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("ref")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  If the MIME type is text/xml and the contents of are an XSD schema, then the contents of are added to the and properties of .

  Resolves whether the referenced document is valid.

  The MIME content type of . The containing the referenced document.
- Property
  System.Xml.Schema.XmlSchema a

  If the XSD schema has not been downloaded and added to the property of , an attempt to download and resolve the document is made.

  Gets an object representing the XSD schema.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the targetNamespace XML attribute of the XSD schema.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("targetNamespace")
  System.ComponentModel.DefaultValue(null)
- Property
  System.String a

  For the class, the property returns the value of the property.

  Gets or sets the URL for the schema reference.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Void `` `` To be added

  Writes the passed XSD schema into the passed .

  The to write into . The into which the serialized XSD schema is written. 1.0.5000.0 2.0.0.0